Bug 1337867 - [nfs-ganesha]: tracker for nfs-ganesha memory consumption issue
Summary: [nfs-ganesha]: tracker for nfs-ganesha memory consumption issue
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Kaleb KEITHLEY
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On: 1240172 1282669 1338068 1351928 1386635
Blocks: RHGS-3.4-GSS-proposed-tracker
TreeView+ depends on / blocked
 
Reported: 2016-05-20 09:53 UTC by Shashank Raj
Modified: 2019-11-14 08:06 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 06:19:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Shashank Raj 2016-05-20 09:53:15 UTC
Description of problem:

Based on several customer reported issues and during qe testing, we found that the nfs-ganesha process consumes a lot of memory and can ultimately result in OOM kill issue, depending on the workload.

Version-Release number of selected component (if applicable):

nfs-ganesha-2.3.1-7

How reproducible:

Always

Steps to Reproduce:

Running higher workloads could result in OOM kill of nfs-ganesha process.

Actual results:

Higher memory consumption by nfs-ganesha process and possible OOM kill.

Expected results:
 
Additional info:

The earlier tracking issue for this problem was (https://bugzilla.redhat.com/show_bug.cgi?id=1240172) which was contradicting with the title of that bug, so this new bug has been created to track the specific problem of ganesha memory consumption.


Note You need to log in before you can comment on or make changes to this bug.